
DROP PROCEDURE IF EXISTS hedera.myTicket_getServices;
DELIMITER $$
CREATE DEFINER=`root`@`%` PROCEDURE `hedera`.`myTicket_getServices`(vSelf INT)
BEGIN
/**
 * Returns a current user ticket services.
 *
 * @param vSelf The ticket identifier
 * @select The ticket services
 */
	SELECT id, description, quantity, price
		FROM myTicketService
		WHERE ticketFk = vSelf;
END$$
DELIMITER ;

GRANT EXECUTE ON PROCEDURE hedera.myTicket_getServices TO account@'localhost';
